Name:		guetzli
Version:	1.0.1
Release:	%mkrel 3
Summary:	Perceptual JPEG encoder
Group:		Graphics/Utilities
License:	ASL 2.0
URL:		https://github.com/google/guetzli/
Source0:	https://github.com/google/guetzli/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(libpng) >= 1.6.32
BuildRequires:	pkgconfig(zlib) >= 1.2.11

%description
Guetzli is a JPEG encoder that aims for excellent compression density at
high visual quality. Guetzli-generated images are typically 20-30% smaller
than images of equivalent quality generated by libjpeg. Guetzli generates
only sequential (nonprogressive) JPEGs due to faster decompression speeds
they offer.

%prep
%setup -q

%build
%set_build_flags
%make_build config=release verbose=yes guetzli

%install
# Do I have to create this directory before using install?
%{__mkdir} -p %{buildroot}%{_bindir}
install -Dm 0755 bin/Release/guetzli %{buildroot}/%{_bindir}

%files
%doc LICENSE README.md CONTRIBUTING.md
%defattr(-,root,root)
%{_bindir}/guetzli



%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1512910
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1298140
- Mageia 7 Mass Rebuild
+ wally <wally>
- use our build time flags
- do verbose build

* Fri Nov 10 2017 shlomif <shlomif> 1.0.1-1.mga7
+ Revision: 1176769
- import from kekePower - thanks


* Fri Nov 10 2017 Stig-Orjan Smelror <smelror@gmail.com> 1.0.1-1.mga7
- New package
